﻿/*
 * Sgl
 * 
 * Copyright(c)株式会社トラスト・ソフトウェア・システム
 */
using System;
using Pdftools.Pdf2Img;
using Pdftools.Render;

namespace sgl
{
    class sgl
    {
        static void Main(string[] args)
        {
            // インスタンス生成
            Converter conv = new Converter();

            // ライセンス
            // ライセンスマネージャを利用しない場合に有効にします。
            Converter.SetLicenseKey("ライセンスキー");  //適切なライセンスキーに替えてください。

            // 回転
            // 従来のレンダリング・エンジンの場合に有効にします。
            //conv.RotateMode = PDFRotateMode.eRotateAttribute;

            // 入力のPDF
            if (!conv.Open("input.pdf",""))
            {
                Console.WriteLine("入力ファイル\"input.pdf\"を開けません");
                Environment.Exit(1);
            }

            // 出力の画像
            if (!conv.CreateImage("output.jpg"))
            {
                Console.WriteLine("出力ファイル\"output.jpg\"を開けません");
                Environment.Exit(2);
            }

            // 指定ページを変換
            conv.RenderPage(1);

            // 出力を閉じる
            conv.CloseImage();

            // インスタンスを開放
            conv.Close();
            conv.Dispose();
        }
    }
}
